Subject: dhcp-based netboot over jumbo-frame network?

From: "Chris Friesen" <[email-masked]>
Date: Wed, 08 Apr 2009 11:52:48 -0600

Hi all,

We have an existing system that loads a bare kernel using tftp, then 
mounts a rootfs via NFS.  The wrinkle is that this is on a jumbo-frame 
enabled network, so somehow the MTU needs to be set before mounting the 
rootfs.

In a previous version we patched ipconfig.c to support the DHCP option 
to specify the MTU value, but I'm wondering about the "proper" way to do 
this on current kernels.

I suppose the obvious answer would be initramfs.  The downsides to that 
solution are that it would increase the size of the kernel file, and we 
would need to change the existing build system.  In the face of a small 
patch to ipconfig, it's not a very attractive solution.

Looking forward to your responses.

Chris